Activate bills with a sandbox simulation
curl --request POST \
--url https://platform.spritz.finance/v1/sandbox/bills/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"consent": {
"termsText": "<string>",
"termsTextVersion": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z"
},
"simulation": {},
"clientContext": {
"clientIp": "<string>",
"userAgent": "<string>",
"sessionId": "<string>",
"deviceId": "<string>",
"platform": "<string>",
"appVersion": "<string>"
}
}
'import requests
url = "https://platform.spritz.finance/v1/sandbox/bills/activate"
payload = {
"consent": {
"termsText": "<string>",
"termsTextVersion": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z"
},
"simulation": {},
"clientContext": {
"clientIp": "<string>",
"userAgent": "<string>",
"sessionId": "<string>",
"deviceId": "<string>",
"platform": "<string>",
"appVersion": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
consent: {
termsText: '<string>',
termsTextVersion: '<string>',
acceptedAt: '2023-11-07T05:31:56Z'
},
simulation: {},
clientContext: {
clientIp: '<string>',
userAgent: '<string>',
sessionId: '<string>',
deviceId: '<string>',
platform: '<string>',
appVersion: '<string>'
}
})
};
fetch('https://platform.spritz.finance/v1/sandbox/bills/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activationId": "<string>",
"verification": {
"challenge": {
"questions": [
{
"id": "<string>",
"prompt": "<string>",
"options": [
{
"id": "<string>",
"text": "<string>"
}
]
}
]
}
},
"liabilitiesSynced": 123,
"syncedAt": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}Sandbox
Activate bills with a sandbox simulation
Starts the bills activation flow in sandbox with a server-side Spinwheel simulation profile.
POST
/
v1
/
sandbox
/
bills
/
activate
Activate bills with a sandbox simulation
Authorizations
bearerAuthintegratorJwthmacAuth & integratorKey & timestamp
Cognito JWT token for regular user authentication
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I